Subject: [bug#29392] [PATCH 00/11] Add scons build system

From: Leo Famulari <[email-masked]>
Date: Tue, 28 Nov 2017 16:38:28 -0500

On Tue, Nov 28, 2017 at 10:36:40PM +0530, Arun Isaac wrote:
> Here is a new patchset with all suggested changes incorporated.

Thanks!

> For mongodb, I have passed "-g0" to scons using "CXXFLAGS=-g0". Now, the build
> seems to progress farther, but I still run out of memory. Could you test the
> package on your machine?

I let the build directory grow to 22 GiB before cancelling the build
(it's using lots of storage, but not much RAM). It worked previously,
both before I tested your scons-build-system and using the previous
revision of these patches. So, I think it doesn't matter whether or not
we pass -g0.